# Note that this is NOT a relocatable package

%define ver	5.2.8
%define rel 10

Summary: An HTTP library of common code.
Name: w3c-libwww
Version: %ver
Release: %rel
Copyright: W3C (see: http://www.w3.org/Consortium/Legal/copyright-software.html)
Group: System Environment/Libraries
Source: http://www.w3.org/Library/Distribution/w3c-libwww-%{ver}.tar.gz
Patch0: w3c-libwww-5.2.8-destdir.patch
URL: http://www.w3.org/Library
BuildRoot: /var/tmp/%{name}-root
Icon: Lib48x.gif

%description
Libwww is a general-purpose Web API written in C for Unix and Windows
(Win32). With a highly extensible and layered API, it can accommodate
many different types of applications including clients and robots. The
purpose of libwww is to provide a highly optimized HTTP sample
implementation, as well as other Internet protocols, and to serve as a
testbed for protocol experiments.

%package devel
Summary: Libraries and header files for programs that use libwww.
Group: Development/Libraries
Requires: w3c-libwww = %{version}

%description devel
This package contains the static libraries and header files for
libwww.

%package apps
Summary: Applications built using Libwww Web library.
Group: Applications/Internet
Requires: w3c-libwww
Icon: robot48x.gif

%description apps
This package contains Web applications, a robot and a command line
tool, built using libwww. The command line tool (w3c) is useful for
manipulation of websites that implement more than just HTTP GET
(e.g. PUT, POST).

%prep
%setup -q
%patch0 -p1 -b .destdir

%build
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-regex --with-zlib
#make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%define __libtoolize /bin/true
cp /usr/share/libtool/config.{sub,guess} config/
%configure --enable-shared --with-gnu-ld --with-regex --with-zlib
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

( cd $RPM_BUILD_ROOT
  chmod +x ./usr/lib/lib{www*,xml*,md5}.so.0.*
  strip ./usr/bin/* || :
)

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_prefix}/lib/libwww*.so.*
%{_prefix}/lib/libxml*.so.*
%{_prefix}/lib/libmd5.so.*
%{_prefix}/share/w3c-libwww

%doc *.html */*.html */*/*.html Icons/*/*.gif

%files apps
%defattr(-,root,root)
%{_prefix}/bin/webbot
%{_prefix}/bin/w3c

%files devel
%defattr(-,root,root)
%{_prefix}/bin/libwww-config
%{_prefix}/lib/lib*.a
%{_prefix}/lib/lib*.la
%{_prefix}/lib/lib*.so

%{_prefix}/include/xmlparse.h
%{_prefix}/include/w3c-libwww

%changelog
* Mon Aug 27 2001 Crutcher Dunnavant <crutcher@redhat.com> 5.2.8-10
- zap libtool for this package, so that it will rebuild; #52680

* Tue Jul 10 2001 Tim Powers <timp@redhat.com>
- make devel package version dependant

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild for 7.2.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuilt for next release
- added patch to toplevel Makefile.am to honor DESTDIR
- use "make DESTDIR=$RPM_BUILD_ROOT install"

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- rebuild for 6.1.

* Mon Apr 12 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
